SDL_SetSurfaceColorspace(3)

NAME
SDL_SetSurfaceColorspace - Set the colorspace used by a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetSurfaceColorspace(SDL_Surface *surface, SDL_Colorspace colorspace);

DESCRIPTION
Setting the colorspace doesn't change the pixels, only how they are interpreted in color operations.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to update.

colorspace
    an SDL_Colorspace
     value describing the surface colorspace.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetSurfaceColorspace(3)